/*
 1-HelloWorld.cpp : Defines the entry point for the console application.

 G E T T I N G   S T A R T E D   W I T H   C + +   S E R I E S
                                    Ron Kessler
							  Created 12/25/2016

I have included two projects in this solution. Rt-Click on 1-HelloWorld and choose "Set as startup project".
You can then double-click on the 1-HelloWorld.cpp file to view the code.
Press CTL-F5 to run it and see what it does... don't get too excited!

To run/view the second project do the same thing on the 2-HelloWorld node.

Project 1: This is the simplest C++ project you can make. In VS I created it by:
	1.	File | New project
	2.	Choose C++ (maybe under Other languages node)
	3.	Select Win32 project and Windows Console application
	4.	In the wizard, choose Next, then Finish. Leave choices alone.
	5.	Name the project and decide where to save it.

When the file opens you will see a page like this. It has a .cpp file extension
and this is where you will write most of your code.

Notice VS has put some things in this file to get us started. This will save time.
Please note, this project is an UNMANAGED or NATIVE C++ project. That means
it will be designed to run on the type of Windows O/S and CPU you develop it on and will
not run on an Android or Apple device.

When you run this project, your source code is compiled into OBJECT code.
Then the compiler uses a LINKER to create the final EXE file that runs on the computer.

To run this project:

	1.	Choose Build | Build Solution
	2.	Check to make sure there are no errors in the output window in VS.
	3.	Now, press CTL-F5 to run your project. 

This simple app just prints a friendly message on the screen. The screen is called
a console and that is where console app comes from.
 
 
 
 */

#include "stdafx.h"			//this tells VS to include the features & capabilities in the C++ language
									//when you see the # sign, it defines a compiler directive.

//---you must add this. By the way, the // symbols tell VS to ignore my comments
#include <iostream>		//native C++ needs features in this library to read/write to the console.

//---every C++ app must startup from a section of code called the main function.
//		VS created this for us.




int main ()
	{
		std::cout << "Hello, there everybody!" << std::endl;
	}

/*What just happened? std stands for the Standard C++ library we include in line 36.
	Inside that library are pre-made features we can use. The cout stands for console output
	which is designed to print something on the screen.
	To use cout, type it in lower case and put in two << symbols after it and then
	type in your message. The <<std::endl stand for endline. (The letter in endl is a lower case l, not a 1).

	Every line where you ask the computer to execute an instruction must end with a semicolon (;)
	so dont' forget it. If you leave it off your program will not run.

	Finally, when you run the app, you notice it says "Press any key..." . That happens automatically
	you do not have to type it in yourself.

*/


